Subject: bug#19930: 25.0.50; REGRESSION: accessing minibuffer from 2nd frame for same buffer scrolls window back to point of 1st frame

From: Noam Postavsky <[email-masked]>
Date: Wed, 06 Jun 2018 07:50:39 -0400

merge 19930 31695
quit

Drew Adams <[email-masked]> writes:

>> > > This regression was introduced in Emacs 24.3.  There is no such
>> > > problem in Emacs 20 through 24.2.
>> > >
>> > > To reproduce:
>> > >
>> > > 1. runemacs.exe -Q --debug-init  -l "onetest.el" -f "1on1-emacs"
>> > >    File onetest.el is attached.
>> >
>> > Attachment seems to be missing.  I guess this could be the same as
>> > #31695?
>> 
>> Yes, all the signs are consistent with that one.
>
> Yes, sorry about that.  I didn't realize that I forgot the
> attachment.  I looked for the file, but I no longer have it.
> But it does sound like exactly the same bug.
>
> The only odd thing in comparing the two reports is that the
> thread of #31695 says that it is NOT a problem in Emacs 23.4.1,
> but bug #19930 reports that it is a problem that started with
> Emacs 24.3.  But I guess I could have been mistaken about that,
> and #19930 is reported from 25.0.50.1 of 2014-10-20.

No contradiction there, the range was gradually narrowed down, so both
bugs now say the problem started with 24.3.  I'll go ahead and merge.

| good |  broken |          |
|------+---------+----------|
|   ?? | 27.0.50 |  31695#5 |
| 23.4 | 24.5.50 | 31695#10 |
| 24.2 | 24.3    | 31695#13 |